<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="STOR" 
Name="STORAGE_WORK_SCHEDULE" 
Description="График работы склада" 
PrimaryKey="StorageWorkScheduleID">
  <Fields>
    <Attribute Name="StorageWorkScheduleID" Type="guid" Description="Идентификатор" />
    <Parent Name="Storage" Type="STOR.STORAGE" Description="Склад" Required="1" />
    <Attribute Name="DateBegin" Type="date" DefaultFormat="{0:dd.MM.yyyy}" Description="Дата начала" Required="1" />
    <Attribute Name="DateEnd" Type="date" DefaultFormat="{0:dd.MM.yyyy}" Description="Дата окончания" />
    <Parent Name="User" Type="VCLib.BASE_USERS" Description="Базовая сущность для пользователей системы." Required="1" />
    <Attribute Name="CreateDate" Type="date" DefaultFormat="{0:dd.MM.yyyy}" Description="Дата создания" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_STORAGE_WORK_SCHEDULE">
      <Map Name="StorageWorkScheduleID" Column="StorageWorkScheduleID" />
      <Map Name="Storage" Column="Storage" />
      <Map Name="DateBegin" Column="DateBegin" />
      <Map Name="DateEnd" Column="DateEnd" />
      <Map Name="User" Column="User" />
      <Map Name="CreateDate" Column="CreateDate" />
    </Table>
  </DbMapping>
</Entity>